Bug 1595040 (CVE-2018-5188) - CVE-2018-5188 Mozilla: Memory safety bugs fixed in Firefox 61, Firefox ESR 60.1, and Firefox ESR 52.9
Summary: CVE-2018-5188 Mozilla: Memory safety bugs fixed in Firefox 61, Firefox ESR 60...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-5188
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180626,repor...
Depends On: 1590694 1590696 1590697 1598644 1598645 1598646 1607204
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:53 UTC by Doran Moppert
Modified: 2019-06-10 10:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:30:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:19:11 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19:31 UTC
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:34:55 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:34:13 UTC

Description Doran Moppert 2018-06-26 01:53:52 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 60, Firefox ESR 60, and Firefox ESR 52.8. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-5188

Comment 5 Doran Moppert 2018-06-27 00:32:16 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Alex Gaynor, Christoph Diehl, Christian Holler, Jason Kratzer, David Major, Jon Coppeard, Nicolas B. Pierron, Marcia Knous, Ronald Crane

Comment 6 errata-xmlrpc 2018-06-28 16:19:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 7 errata-xmlrpc 2018-06-28 16:19:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113

Comment 10 errata-xmlrpc 2018-07-24 21:34:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 11 errata-xmlrpc 2018-07-24 21:34:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.